# $Revision: 1.23 $, $Date: 2008/07/27 22:41:31 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	Alias
Summary:	Mail::Alias - manipulates mail alias files of various formats
Summary(pl.UTF-8):	Mail::Alias - manipulacja plikami z aliasami pocztowymi w różnych formatach
Name:		perl-Mail-Alias
Version:	1.12
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	01d42c11f3c4372088597f9c5c3d6af7
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows direct manipulation of various types of E-Mail Alias
files.  The primary use of Mail::Alias is for manipulating alias files
in the SENDMAIL alias file format.  Additionally, it's possible to read
some other formats and to convert between various alias file formats.

%description -l pl.UTF-8
Ten moduł pozwala na bezpośrednią manipulację danymi o aliasach e-mail,
zawartymi plikach o różnych formatach.  Podstawowym zastosowaniem modułu
jest manipulacja plikami w formacie Sendmaila.  Dodatkowo, możliwe jest
także korzystanie z kilku innych formatów oraz konwertowanie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp testscripts/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_vendorlib}/Mail/Alias.pm
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-Alias.spec,v $
Revision 1.23  2008/07/27 22:41:31  arekm
- release 5

Revision 1.22  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.20  2006/01/09 18:01:30  qboosh
- unified (grepable files)

Revision 1.19  2004/11/03 22:30:31  paladine
- formatting

Revision 1.18  2004/06/05 19:59:00  radek
- release 4: informative summary

Revision 1.17  2004/05/07 01:09:22  ankry
- rel. 3

Revision 1.16  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.14  2004/04/23 06:22:06  ankry
- license fixes/unification

Revision 1.13  2004/04/22 20:42:11  ankry
- bconds added

Revision 1.12  2004/02/18 15:51:30  qboosh
- s/no/nb/ in Summary langs

Revision 1.11  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.10  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.9  2003/08/18 08:08:57  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:47  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:20:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/28 10:08:26  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.3  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:35:59  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/21 14:06:41  radek
- new, STBR

